local Iterations = 10
local Iteration = 1

-- Spawn Templates
AGGRESSORS_Template = { ("RED_P-47D"), ("RED_P-51D"), ("RED_Spitfire"), ("RED_Spitfire_CW"), ("RED_Fw_190_D-9"), ("RED_Fw_190_A-8"), ("RED_Bf_109_K-4"), ("RED_I-16") }
-- Table with zones
BFM_SPAWNZONE = { "SPAWN1", "SPAWN2" }
HeightLimit = 7620
-- Define functions ---------------------------------------------------------------------------------



BFM_SPAWN1 = SPAWN:New( "AGGRESSOR-1" )
BFM_SPAWN1:InitLimit( 3, 3 )
BFM_SPAWN1:InitRandomizeRoute( 0, 7, 2000 )
BFM_SPAWN1:InitRandomizeTemplate( AGGRESSORS_Template )
BFM_SPAWN1:InitDelayOn( false )
BFM_SPAWN1:InitCleanUp( 60 )

BFM_SPAWN1:OnSpawnGroup(
    function(SpawnedGroup) 
       SpawnedGroup:HandleEvent( EVENTS.Crash )
       function SpawnedGroup:OnEventCrash( EventData )

  crashflag = USERFLAG:New('100')
crashflag:Set(true)
end
    end
    )
BFM_SPAWN2 = SPAWN:New( "AGGRESSOR-2" )
BFM_SPAWN2:InitLimit( 2, 3 )
BFM_SPAWN2:InitRandomizeRoute( 0, 7, 2000 )
BFM_SPAWN2:InitRandomizeTemplate( AGGRESSORS_Template )
BFM_SPAWN2:InitDelayOn( true )
BFM_SPAWN2:InitCleanUp( 60 )
BFM_SPAWN2:InitRandomizePosition( true , 300, 500 )
BFM_SPAWN2:OnSpawnGroup(
    function(SpawnedGroup1) 
       SpawnedGroup1:HandleEvent( EVENTS.Crash )
       function SpawnedGroup1:OnEventCrash( EventData )
  crashflag1 = USERFLAG:New('101')
crashflag1:Set(true)

       end
    end
    )

SCHEDULER:New( nil,

function( Interation, Iterations )
    do


local ZoneName = BFM_SPAWNZONE[ math.random( 1, 2 ) ]
      local SpawnVec3 = POINT_VEC3:NewFromVec3( ZONE:New( ZoneName ):GetVec3() )
      BFM_SPAWN1:SpawnFromVec2( SpawnVec3:GetVec2(), 2000, 4000 ) 
      BFM_SPAWN2:SpawnFromVec2( SpawnVec3:GetVec2(), 2000, 4000 ) 



    end
  end, {}, 0, 15, 0.5 
)